"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ClaimFacade = void 0;
const claim_service_1 = require("./claim.service");
const common_1 = require("@nestjs/common");
const MatchResult_repository_1 = require("./repositories/MatchResult/MatchResult.repository");
const LeftoverConsumption_repository_1 = require("./repositories/LeftoverConsumption/LeftoverConsumption.repository");
const ExcessGeneration_repository_1 = require("./repositories/ExcessGeneration/ExcessGeneration.repository");
let ClaimFacade = class ClaimFacade {
    constructor(claimService, matchResultRepository, leftoverConsumptionRepository, excessGenerationRepository) {
        this.claimService = claimService;
        this.matchResultRepository = matchResultRepository;
        this.leftoverConsumptionRepository = leftoverConsumptionRepository;
        this.excessGenerationRepository = excessGenerationRepository;
    }
    async claim(input) {
        return await this.claimService.claim(input);
    }
    async findLeftoverConsumption(options) {
        return await this.leftoverConsumptionRepository.find(options);
    }
    async findExcessGeneration(options) {
        return await this.excessGenerationRepository.find(options);
    }
    async findMatches(options) {
        return await this.matchResultRepository.find(options);
    }
};
ClaimFacade = __decorate([
    common_1.Injectable(),
    __param(1, common_1.Inject(MatchResult_repository_1.MATCH_RESULT_REPOSITORY)),
    __param(2, common_1.Inject(LeftoverConsumption_repository_1.LEFTOVER_CONSUMPTION_REPOSITORY)),
    __param(3, common_1.Inject(ExcessGeneration_repository_1.EXCESS_GENERATION_REPOSITORY)),
    __metadata("design:paramtypes", [claim_service_1.ClaimService, Object, Object, Object])
], ClaimFacade);
exports.ClaimFacade = ClaimFacade;
//# sourceMappingURL=claim.facade.js.map