"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ClaimForUnitTestsModule = exports.ClaimModule = void 0;
const common_1 = require("@nestjs/common");
const origin_247_certificate_1 = require("@energyweb/origin-247-certificate");
const claim_service_1 = require("./claim.service");
const typeorm_1 = require("@nestjs/typeorm");
const MatchResult_entity_1 = require("./repositories/MatchResult/MatchResult.entity");
const ExcessGeneration_entity_1 = require("./repositories/ExcessGeneration/ExcessGeneration.entity");
const LeftoverConsumption_entity_1 = require("./repositories/LeftoverConsumption/LeftoverConsumption.entity");
const MatchResult_repository_1 = require("./repositories/MatchResult/MatchResult.repository");
const MatchResultPostgres_repository_1 = require("./repositories/MatchResult/MatchResultPostgres.repository");
const MatchResultInMemory_repository_1 = require("./repositories/MatchResult/MatchResultInMemory.repository");
const LeftoverConsumption_repository_1 = require("./repositories/LeftoverConsumption/LeftoverConsumption.repository");
const LeftoverConsumptionPostgres_repository_1 = require("./repositories/LeftoverConsumption/LeftoverConsumptionPostgres.repository");
const LeftoverConsumptionInMemory_repository_1 = require("./repositories/LeftoverConsumption/LeftoverConsumptionInMemory.repository");
const ExcessGeneration_repository_1 = require("./repositories/ExcessGeneration/ExcessGeneration.repository");
const ExcessGenerationPostgress_repository_1 = require("./repositories/ExcessGeneration/ExcessGenerationPostgress.repository");
const claim_facade_1 = require("./claim.facade");
const ExcessGenerationInMemory_repository_1 = require("./repositories/ExcessGeneration/ExcessGenerationInMemory.repository");
let ClaimModule = class ClaimModule {
};
ClaimModule = __decorate([
    common_1.Module({
        imports: [
            typeorm_1.TypeOrmModule.forFeature([
                MatchResult_entity_1.MatchResultEntity,
                LeftoverConsumption_entity_1.LeftoverConsumptionEntity,
                ExcessGeneration_entity_1.ExcessGenerationEntity
            ]),
            origin_247_certificate_1.CertificateModule
        ],
        providers: [
            claim_service_1.ClaimService,
            {
                provide: MatchResult_repository_1.MATCH_RESULT_REPOSITORY,
                useClass: MatchResultPostgres_repository_1.MatchResultPostgresRepository
            },
            {
                provide: LeftoverConsumption_repository_1.LEFTOVER_CONSUMPTION_REPOSITORY,
                useClass: LeftoverConsumptionPostgres_repository_1.LeftoverConsumptionPostgresRepository
            },
            {
                provide: ExcessGeneration_repository_1.EXCESS_GENERATION_REPOSITORY,
                useClass: ExcessGenerationPostgress_repository_1.ExcessGenerationPostgresRepository
            },
            claim_facade_1.ClaimFacade
        ],
        exports: [claim_facade_1.ClaimFacade]
    })
], ClaimModule);
exports.ClaimModule = ClaimModule;
let ClaimForUnitTestsModule = class ClaimForUnitTestsModule {
};
ClaimForUnitTestsModule = __decorate([
    common_1.Module({
        imports: [origin_247_certificate_1.CertificateForUnitTestsModule],
        providers: [
            claim_service_1.ClaimService,
            {
                provide: MatchResult_repository_1.MATCH_RESULT_REPOSITORY,
                useClass: MatchResultInMemory_repository_1.MatchResultInMemoryRepository
            },
            {
                provide: LeftoverConsumption_repository_1.LEFTOVER_CONSUMPTION_REPOSITORY,
                useClass: LeftoverConsumptionInMemory_repository_1.LeftoverConsumptionInMemoryRepository
            },
            {
                provide: ExcessGeneration_repository_1.EXCESS_GENERATION_REPOSITORY,
                useClass: ExcessGenerationInMemory_repository_1.ExcessGenerationInMemoryRepository
            },
            claim_facade_1.ClaimFacade
        ],
        exports: [claim_facade_1.ClaimFacade]
    })
], ClaimForUnitTestsModule);
exports.ClaimForUnitTestsModule = ClaimForUnitTestsModule;
//# sourceMappingURL=claim.module.js.map