import { ExcessGenerationRepository, NewExcessGeneration } from './repositories/ExcessGeneration/ExcessGeneration.repository';
import { LeftoverConsumptionRepository, NewLeftoverConsumption } from './repositories/LeftoverConsumption/LeftoverConsumption.repository';
import { MatchResultRepository, NewMatchResult } from './repositories/MatchResult/MatchResult.repository';
import { IConsumption, IGeneration, IMatch, IMatchingInput, IMatchingOutput, ITimeFrame } from './interfaces';
import { CertificateService, IClaimCommand } from '@energyweb/origin-247-certificate';
export interface IClaimInput<T extends IConsumption, U extends IGeneration> {
    algorithmFn: (input: IMatchingInput<T, U>) => IMatchingOutput<T, U>;
    claimCustomizationFn: (input: IMatch<T, U>[]) => IClaimCommand[];
    data: IMatchingInput<T, U>;
    timeframe: ITimeFrame;
}
export interface IRaport {
    matches: NewMatchResult[];
    leftoverConsumptions: NewLeftoverConsumption[];
    excessGenerations: NewExcessGeneration[];
}
export declare class ClaimService {
    private matchResultRepo;
    private leftoverConsumptionRepo;
    private excessGenerationRepo;
    private certificateService;
    constructor(matchResultRepo: MatchResultRepository, leftoverConsumptionRepo: LeftoverConsumptionRepository, excessGenerationRepo: ExcessGenerationRepository, certificateService: CertificateService<unknown>);
    claim<T extends IConsumption, U extends IGeneration>(input: IClaimInput<T, U>): Promise<IRaport>;
    private createRaport;
    private createLogs;
    private createMatchResultLogs;
    private createLeftoverConsumptionLogs;
    private createExcessGenerationLogs;
    private filterZeroVolumeMatches;
}
