"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExcessGenerationInMemoryRepository = void 0;
const common_1 = require("@nestjs/common");
let ExcessGenerationInMemoryRepository = class ExcessGenerationInMemoryRepository {
    constructor() {
        this.id = 0;
        this.db = [];
    }
    async create(generation) {
        this.id += 1;
        const entity = {
            ...generation,
            id: this.id,
            createdAt: new Date(),
            updatedAt: new Date()
        };
        this.db.push(entity);
        return entity;
    }
    async getAll() {
        return await this.db;
    }
    async find(findOptions) {
        return this.db.filter((entry) => {
            const hasGeneratorId = findOptions.generatorIds.includes(entry.generatorId);
            const hasTimestamp = entry.timestamp >= findOptions.from && entry.timestamp <= findOptions.to;
            return hasGeneratorId && hasTimestamp;
        });
    }
};
ExcessGenerationInMemoryRepository = __decorate([
    common_1.Injectable()
], ExcessGenerationInMemoryRepository);
exports.ExcessGenerationInMemoryRepository = ExcessGenerationInMemoryRepository;
//# sourceMappingURL=ExcessGenerationInMemory.repository.js.map