import { LeftoverConsumptionEntity } from './LeftoverConsumption.entity';
export declare const LEFTOVER_CONSUMPTION_REPOSITORY: unique symbol;
export interface FindOptions {
    consumerIds: string[];
    from: Date;
    to: Date;
}
export declare enum LeftoverConsumptionColumns {
    Id = "id",
    ConsumerId = "consumerId",
    Timestamp = "timestamp",
    ConsumerMetadata = "consumerMetadata",
    Volume = "volume",
    CreatedAt = "createdAt",
    UpdatedAt = "updatedAt"
}
export declare type NewLeftoverConsumption = Omit<LeftoverConsumptionEntity, 'id' | 'createdAt' | 'updatedAt'>;
export interface LeftoverConsumptionRepository {
    create(matchResult: NewLeftoverConsumption): Promise<LeftoverConsumptionEntity>;
    getAll(): Promise<LeftoverConsumptionEntity[]>;
    find(findOptions: FindOptions): Promise<LeftoverConsumptionEntity[]>;
}
