"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LeftoverConsumptionInMemoryRepository = void 0;
const common_1 = require("@nestjs/common");
let LeftoverConsumptionInMemoryRepository = class LeftoverConsumptionInMemoryRepository {
    constructor() {
        this.db = [];
        this.id = 0;
    }
    async create(leftover) {
        this.id += 1;
        const entity = {
            ...leftover,
            id: this.id,
            createdAt: new Date(),
            updatedAt: new Date()
        };
        this.db.push(entity);
        return entity;
    }
    async getAll() {
        return this.db;
    }
    async find(findOptions) {
        return this.db.filter((entry) => {
            const hasGeneratorId = findOptions.consumerIds.includes(entry.consumerId);
            const hasTimestamp = entry.timestamp >= findOptions.from && entry.timestamp <= findOptions.to;
            return hasGeneratorId && hasTimestamp;
        });
    }
};
LeftoverConsumptionInMemoryRepository = __decorate([
    common_1.Injectable()
], LeftoverConsumptionInMemoryRepository);
exports.LeftoverConsumptionInMemoryRepository = LeftoverConsumptionInMemoryRepository;
//# sourceMappingURL=LeftoverConsumptionInMemory.repository.js.map